import request from '../../utils/request'

export function queryHuanZhe(inpatientNo) {
  return request({
    url: '/transferInOfExpenses/queryHuanZhe',
    method: 'get',
    params: { inpatientNo },
  })
}

export function getSerialNo(serialNo, liShiFlag) {
  return request({
    url: '/transferInOfExpenses/getSerialNo',
    method: 'get',
    params: { serialNo, liShiFlag },
  })
}

export function getZyJiMenZhenZhuangRuFeiYong(
  inpatientNo,
  chargeCodeMX,
  admissTimes,
  currentPage,
  pageSize
) {
  return request({
    url: '/transferInOfExpenses/getZyJiMenZhenZhuangRuFeiYong',
    method: 'get',
    params: { inpatientNo, chargeCodeMX, admissTimes, currentPage, pageSize },
  })
}

export function shanChuFeiYong(data) {
  return request({
    url: '/transferInOfExpenses/shanChuFeiYong',
    method: 'post',
    data,
  })
}

export function baoCunHuanZheZhuYuanFeiYong(data) {
  return request({
    url: '/transferInOfExpenses/baoCunHuanZheZhuYuanFeiYong',
    method: 'post',
    data,
  })
}

export function queryEntryName(pyCode) {
  return request({
    url: '/transferInOfExpenses/queryEntryName',
    method: 'get',
    params: { pyCode },
  })
}
